Package io.vertx.httpproxy

## Class ProxyOptions

- java.lang.Object
- - io.vertx.httpproxy.ProxyOptions

-     public class ProxyOptions
      extends Object

  Proxy options.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static boolean` | `DEFAULT_SUPPORT_WEBSOCKET` | Enable WebSocket support : `true`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ProxyOptions()` |
    `ProxyOptions​(JsonObject json)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CacheOptions` | `getCacheOptions()` |
    `boolean` | `getSupportWebSocket()` |
    `ProxyOptions` | `setCacheOptions​(CacheOptions cacheOptions)` | Set the cache options that configures the proxy.
    `ProxyOptions` | `setSupportWebSocket​(boolean supportWebSocket)` | Set whether WebSocket are supported.
    `JsonObject` | `toJson()` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_SUPPORT_WEBSOCKET

          public static final boolean DEFAULT_SUPPORT_WEBSOCKET

      Enable WebSocket support : `true`
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ProxyOptions

          public ProxyOptions​(JsonObject json)

    - #### ProxyOptions

          public ProxyOptions()

  - ### Method Detail

    - #### getCacheOptions

          public CacheOptions getCacheOptions()

      Returns:
        the cache options

    - #### setCacheOptions

          public ProxyOptions setCacheOptions​(CacheOptions cacheOptions)

      Set the cache options that configures the proxy. `null` cache options disables caching, by default cache is disabled.
      Parameters:
        `cacheOptions` - the cache options
      Returns:
        a reference to this, so the API can be used fluently

    - #### getSupportWebSocket

          public boolean getSupportWebSocket()

      Returns:
        whether WebSocket are supported

    - #### setSupportWebSocket

          public ProxyOptions setSupportWebSocket​(boolean supportWebSocket)

      Set whether WebSocket are supported.
      Parameters:
        `supportWebSocket` - `true` to enable WebSocket support, `false` otherwise
      Returns:
        a reference to this, so the API can be used fluently

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### toJson

          public JsonObject toJson()